# Transition and Post-transition Steps




For every transition step there is a tag displayed.  You can use the tag to identify the ansible task being executed. The actual ansible command is called in the docker container and is shown below the tag. After you click the icon, output and error log tabs appear below the ansible command, allowing you to check the output logs associated with the ansible upgrade playbook that is executed.

![onestageupgrade1.png](images/onestageupgrade10.png)


The scripts are modifiable within the docker container and also on the container host as they are mapped from the untarred am2cm folder. CMA UI acts as a wrapper around the scripts to simplify upgrades.

The third option is to manually transition by clicking ![onestageupgrade1.png](images/onestageupgrade12.png) and using the documentation. After the manual transition is complete, you must notify the CMA server by clicking ![onestageupgrade1.png](images/onestageupgrade11.png) to indicate that the manual transition is complete. For more information, see [Post transition](https://docs.cloudera.com/cdp-private-cloud-upgrade/latest/upgrade-hdp3/topics/amb3-post-migration-steps.html) steps.

After CMA finishes the upgrade, you must set oozie service dependency as a post transition step. For more information, see [Adding Oozie service dependencies](https://docs.cloudera.com/cdp-private-cloud-upgrade/latest/upgrade-hdp3/topics/amb3-oozie-spark-atlas-dependencies.html) documentation.

## Finalization of the Upgrade

The last block  of transition steps is the about the finalization.
Be careful about this. __After finalization there in no way to roll back.__

Before this stage your new cluster should be fully functional. It makes sense to validate if all has gone well. 
